Bug 14844 - Unproper path to the config file in adapter script
: Unproper path to the config file in adapter script
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/jabber-mrim)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-03-10 14:51 by
Modified: 2008-05-01 10:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-03-10 14:51:15
Для 0.1.1-alt1.1 в скрипте адаптера сервиса для jabber-config (mrim.adapter)  
путь к файлу конфигурации указан как /etc/jabber-mrim/mrim.conf.

С другой стороны, в пакете файла конфигурации упакован (и используется в 
init-скрипте) в %_sysconfdir/%cname/%cname.conf - т.е. 
в /etc/jabber-mrim/jabber-mrim.conf.

Несовпадение путей приводит к ошибке при вызове sed внутри скрипта адаптера и, 
как следствие #14369 - к неработоспособности системы автоконфигурации 
jabber-серверов, к ошибкам при установке/обновлении пакетов jabber-*, и т.п.
------- Comment #1 From 2008-04-29 12:30:37 -------
fixed in jabber-mrim-0.2-alt1.svn20080429